<?php declare(strict_types=1);

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 7.3+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 *
 */


namespace Plugin\css_gutschein;


$smarty->assign('pUploadDir',$cssPlugin->_get('cAdminmenuPfadURL').'js/'.PUPLOADPATH.'/js/');
$smarty->assign('adminURL', \Shop::getURL(). '/' . PFAD_ADMIN . 'plugin.php?kPlugin=' . $oPlugin->kPlugin);

$js_arr = array(
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/'.PUPLOADPATH.'/js/plupload.full.min.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/'.PUPLOADPATH.'/js/jquery.ui.plupload/jquery.ui.plupload.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/admin.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/plugin.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/colorbox/jquery.colorbox-min.js"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/imgareaselect/jquery.imgareaselect.min.js"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/tinyColor.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/bootstrap-notify.min.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/jquery.sortable.min.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/jquery.fontface.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/chosen.jquery.js'.'"></script>',
	'<script src="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/bootstrap-colorpickersliders/dist/bootstrap.colorpickersliders.js"></script>',
	$smarty->fetch($oPlugin->cAdminmenuPfad . 'templates/plugin.tpl'),
);

$css_arr = array(
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/'.PUPLOADPATH.'/js/jquery.ui.plupload/css/jquery.ui.plupload.css'.'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/css/admin.css'.'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/css/plugin.css'.'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/css/bootstrap-chosen.css'.'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/bootstrap-colorpickersliders/dist/bootstrap.colorpickersliders.min.css" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/colorbox/colorbox.css" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$cssPlugin->_get('cAdminmenuPfadURL').'assets/js/imgareaselect/css/imgareaselect-animated.css" media="screen">',
);

$smarty->assign("admin_js",$smarty->get_template_vars('admin_js').join('',$css_arr).join('',$js_arr));
