<div id="modal-upload" class="css-modal modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title" style="width:100%">{__('Gutschein Upload')}</h4>
            </div>
            <div class="modal-body">

    <div class="form-group form-row align-items-center">
    <input type="hidden" id="itemImage" name="itemImage" value="" >
    <div class="col-sm pl-sm-12 ">
        <input class="custom-file-input "
               type="file"
               name="UploadImage"
               id="UploadImage"
               multiple
               tabindex="1"
        />

        <script>
            (function () {
                let $file = $('#UploadImage'),
                    $fileSuccess = $('#UploadImage-upload-success'),
                    $fileError = $('#UploadImage-upload-error');

                function cssUpload() {

                    $file.fileinput({
                        uploadUrl: "plugin.php?kPlugin={$oPlugin->getID()}&cssAdminAction=upload",
                        deleteUrl: "plugin.php?kPlugin={$oPlugin->getID()}&cssAdminAction=deleteUpload",
                        autoOrientImage: false,
                        showUpload: false,
                        showRemove: false,
                        showCancel: false,
                        cancelClass: 'btn btn-outline-primary',
                        uploadClass: 'btn btn-outline-primary',
                        removeClass: 'btn btn-outline-primary',
                        uploadAsync: true,
                        showPreview: true,
                        fileActionSettings: {
                            showZoom: false,
                            showRemove: false,
                            showDrag: false
                        },
                        uploadExtraData:
                            {
                                jtl_token: '{$smarty.session.jtl_token}',
                                voucherFolder: $("#voucherFolder").val(),
                                cssAdminAction: 'upload'
                            }
                        ,
                        allowedFileExtensions:
                            ['jpg', 'jpeg', 'jpe', 'gif', 'png', 'bmp', 'svg', 'webp']
                        ,
                        overwriteInitial: true,
                        theme: 'fas',
                        language: 'de',
                        browseOnZoneClick: true,
                        maxFileSize: 1000000,
                        maxFileCount: 10,
                        initialPreviewShowDelete: false,

                    });
                    return $file;
                }
                $file = cssUpload();

                $file.on("filebrowse", function (event, files) {
                        $fileSuccess.addClass('d-none');
                        $fileError.addClass('d-none');
                    });

                    $file.on("filebatchselected", function (event, files) {
                        if ($file.fileinput('getFilesCount') > 0) {
                            $file.fileinput("upload");
                        }
                    });

                    $file.on('filebatchuploadsuccess', function (event, data) {
                        console.log(data.response);
                        if (data.response.status === 'OK') {
                            $fileSuccess.removeClass('d-none');
                        } else {
                            $fileError.removeClass('d-none');
                        }
                    });

                    $file.on('filebeforedelete', function (event, key, data) {
                        console.log('key filebeforedelete = ' + key);
                        console.log('data filebeforedelete = ' + data);
                    });

                    $file.on('fileremoved', function (event, id, index) {
                        console.log('id fileremoved = ' + id + ', index fileremoved = ' + index);
                    });
                    $file.on('fileclear', function (event) {
                        console.log("fileclear", event);
                        $("#itemImage").val("");
                    });
                    $file.on('filepredelete', function (event, key, jqXHR, data) {
                        console.log('jqXHR filepredelete = ' + jqXHR);
                        console.log('key filepredelete = ' + key);
                        console.log('data filepredelete = ' + data);
                        $("#itemImage").val("");
                    });
                    $file.on('fileuploaderror, fileerror', function (event, data, msg) {
                        $fileError.removeClass('d-none');
                        $fileError.append('<p style="margin-top:20px">' + msg + '</p>')
                    });
                    $file.on('fileuploaded', function (event, data) {
                        $("#itemImage").val(data.response.filename);

                        $("#css-voucher-images ul").append(
                            '<li class="list-group-item" id="image-box-' + data.response.id + '">\
							<input type="hidden" name="id[]" value="' + data.response.id + '">\
							<div class="image-box">\
								<img src="../mediafiles/gutscheine/' + data.response.filename + '" id="' + data.response.filename + data.response.id + '" >\
								<div class="line">\
								<div class="css-voucher-toolbar row">\
								<div class="col col-12 clearfix">\
								<div class="" style="display:inline-block;">\
									<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein konfigurieren" data-action="edit" data-id="' + data.response.id + '" type="button" class="btn btn-success">\
										<i class="fa fa-edit"> </i>\
									</button>\
								</div>\
								<div class="" style="display:inline-block;">\
									<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein als Standard" data-action="set-standard" class="btn btn-success star " type="button" data-id="' + data.response.id + '">\
										<i class="fal fa-star"> </i>\
									</button>\
								</div>\
								<div class="" style="display:inline-block;">\
									<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Verzeichnis wechseln" data-action="change-folder" class="btn btn-success change-folder" type="button" data-id="' + data.response.id + '">\
										<i class="fa fa-folder-open "> </i>\
									</button>\
								</div>\
								<div class="" style="display:inline-block;">\
								<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein nur f&uuml;r ausgew&auml;hlte Sprachen freigeben." data-action="change-language" class="btn btn-success change-language" type="button" data-id="' + data.response.id + '">\
									<i class="fa fa-language"> </i>\
								</button>\
							</div>\
								<div class="" style="display:inline-block;">\
									<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein auf unsichtbar setzen." data-action="change-image-active" class="btn btn-success change-eye " type="button" data-id="' + data.response.id + '">\
										<i class="fa fa-eye"> </i>\
									</button>\
								</div>\
								<div class=" pull-right" style="display:inline-block;">\
									<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein l&ouml;schen" data-action="delete-image" class="btn btn-danger delete-image" type="button" data-id="' + data.response.id + '">\
										<i class="fa fa-trash"> </i>\
									</button>\
								</div>\
                                <div  class=" pull-right"  style="display: inline-block;">\
                                        <button type="button" class="btn btn-info" data-function="actionButton"><b>' + data.response.id + '</b></button>\
                                </div>\
								\
							</div>\
								</div></li>');

                        $file.fileinput('destroy')
                        $file = cssUpload();
                        console.log("fileuploaded data ", data);
                    });

            }());
        </script>
    </div>
    </div>

                <div class="modal-footer">
                </div>
            </div>
        </div>
    </div>
</div>
