var cssHashCode  = function() {
  var hash = 5381, i = this.length
  while(i)
    hash = (hash * 33) ^ this.charCodeAt(--i)
  return hash >>> 0;
};

jQuery(document).ready(function() {
	cssHashCode(document.location.href);
	$('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
	  var target = $(e.target).attr("href") // activated tab
	  $.cookie('target', target, { expires: 7 });
	});

	if($.cookie('target') != 'undefined') {
		$("li.tab a[href='" + $.cookie('target') + "']").tab('show');
	}

    $('.chosen-select').chosen();
    $('.chosen-select-deselect').chosen({ allow_single_deselect: true });
	
});





function colorpic() {
	$(".cWheel").each(function() {
			var wheelId = '#' + $(this).attr("id");
			$(wheelId).ColorPickerSliders({
				color: 'black',
		    sliders: false,
		    swatches: false,
		    hsvpanel: true,
		    previewontriggerelement: true,
		    title: 'Change Color',
		    order: {
		        rgb: 1,
		        preview: 2
		    },
		    onchange: function(container, color) {
		    	console.log(color);
		        var body = $(wheelId);
		        body.css("background-color", color.tiny.toRgbString());
		        if (color.cielch.l < 60) {
		            body.css("color", "white");
		        }
		        else {
		            body.css("color", "black");
		        }
		    }
		});
		
	});
}





(function($) {

  $.fn.backendGutschein = function( options ) {

      // Establish our default settings
      var settings = $.extend({
          elementId: 					'',
          debugThis:					true,
          files: false,
    			confirmTemplate: '\
    				<div class="modal fade" id="confirmation_modal" role="dialog" style="display: none;">\
				    	<div class="modal-dialog">\
				    				<div class="modal-content">\
				    			<div class="modal-header">\
				    				<h4 class="modal-title"></h4>\
				    			</div>\
	    			<div class="modal-body">\
    				</div>\
				    			<form role="form" method="post" action="category_delete" id="delete_data">\
				    				<div class="modal-footer">\
				    					<button type="button" class="btn btn-danger confirmYes" >Ja ich m&ouml;chte</button>\
				    					<button type="button" class="btn btn-primary" data-dismiss="modal">Nein ich m&ouml;chte nicht</button>\
				    				</div>\
				    			</form>\
				    		</div>\
				    	</div>\
				    </div>\
				',

      }, options);

      var debug = function(s) {
      	if(settings.debugThis) {
      	}
      };


      
      var importHideTypes = function() {
      	$("body").on("change","select[name='voucherImportType']", function() {
      		if($(this).val() =='0') {
       			$("#importGutscheine .input-group").slideDown();
      		}
      		if($(this).val() =='evolutionMedia') {
      			$("#importGutscheine .input-group").not("#importGutscheine .evolutionMedia").slideUp();
      			$("#importGutscheine .input-group.csv").slideDown();
      		} else if($(this).val() =='CSV') {
      			$("#importGutscheine .input-group").not("#importGutscheine .evolutionMedia").slideDown();
       			$("#importGutscheine .input-group.csv").slideUp();
      	}
      	});
      };
      
      var uploadFiles = function(event) {
      	var that=this;
      	 event.stopPropagation(); // Stop stuff happening
         event.preventDefault(); // Totally stop stuff happening
         // START A LOADING SPINNER HERE

         // Create a formdata object and add the files
         var data = new FormData();
         $.each(settings.files, function(key, value)	{
             data.append(key, value);
         });
         data.append("jtl_token",$("#importGutscheine input[name='jtl_token']").val());
         data.append("cssAdminKuponAction",$("#importGutscheine input[name='cssAdminKuponAction']").val());
         
         $.ajax({
           url: '' ,
           type: 'POST',
           data: data,
           cache: false,
           dataType: 'json',
           processData: false, // Don't process the files
           contentType: false, // Set content type to false as jQuery will tell the server its a query string request
           success: function(data, textStatus, jqXHR)
           {
               if(typeof data.error === 'undefined')
               {
              	 if( data.script )	{
     							eval(data.script);
     						}
                 $("body").trigger('contentChanged');
                   // Success so call function to process the form
//                   submitForm(event, data);
               }
               else
               {
                   // Handle errors here
                   console.log('ERRORS: ' + data.error);
               }
           },
           error: function(jqXHR, textStatus, errorThrown)
           {
               // Handle errors here
               console.log('ERRORS: ' + textStatus);
               // STOP LOADING SPINNER
           }
       });
      };
      
      var post_data = function (url, data) {

	      	jQuery.ajax({
					type: 'POST',
					url: url,
					data: data,
					showNoSuggestionNotice: true,
					dataType: 'json',
			    beforeSend: function(jqXHR) {
		        jqXHR.overrideMimeType('text/json;charset=iso-8859-1');
			    },
					success: function(data,responseText,jqXHR) {
						if( jqXHR.status == 204 ) {
							debug('sorry, here is nothing to do for me. (Token problem?)')
							return false;
						}
						if( jqXHR.status == 404 ) {
							debug('sorry, here is nothing to show you.')
							return false;
						}
						if( jqXHR.status == 403 ) {
							debug('sorry, this is no place for you.')
							return false;
						}
						//debug(data);
						if( data.script )	{
							eval(data.script);
						}
            $("body").trigger('contentChanged');
					},
					error: function() {
						debug('something is wrong....anything buggy?');
					},
					complete: function() {
							
					}
			});
		};

		
		var csvUpload = function() {
			var that=this;
    	$("body").on('change','#csv-files-input-upload', function(event) {
    		settings.files = event.target.files;
    		console.log( event.target.files);
    	});
			$("body").on("click","#myModalInfo #csv-file-button-browse", function(e) {
				e.preventDefault();
				$("#csv-files-input-upload").trigger("click");
			});

			$("body").on("change","#myModalInfo #csv-files-input-upload", function(e) {
				e.preventDefault();
				$("#csv-file-input-name").val($(this).val());
				$("#csv-file-button-upload").attr("disabled",false);
				$("#csv-file-button-upload").on("click", function(event) {
      	 event.stopPropagation(); // Stop stuff happening
         event.preventDefault(); // Totally stop stuff happening

					uploadFiles(event);
				});
			});
		};
		
		var openModalConfirmation = function (el, selector, titel,content) {
			$("#confirmation_modal").remove();
			$("body").append(settings.confirmTemplate);
			$("#confirmation_modal .modal-content").addClass(selector);
			$("#confirmation_modal .modal-title").html(titel);
			$("#confirmation_modal .modal-body").html(content);
			$("#confirmation_modal .confirmYes").on("click", function() {
				$(el).addClass("confirmed").trigger("click").removeClass("confirmed");
				$("#confirmation_modal").modal("hide");
			});
			$("#confirmation_modal").modal({backdrop: 'static', keyboard: false});
		};

		
		var wrap_text = function (ctx, text, x, y, lineHeight, maxWidth, textAlign) {
		  if(!textAlign) textAlign = 'center'
		  ctx.textAlign = textAlign
		  var words = text.split(' ')
		  var lines = []
		  var sliceFrom = 0
		  for(var i = 0; i < words.length; i++) {
		    var chunk = words.slice(sliceFrom, i).join(' ')
		    var last = i === words.length - 1
		    var bigger = ctx.measureText(chunk).width > maxWidth
		    if(bigger) {
		      lines.push(words.slice(sliceFrom, i).join(' '))
		      sliceFrom = i
		    }
		    if(last) {
		      lines.push(words.slice(sliceFrom, words.length).join(' '))
		      sliceFrom = i
		    }
		  }
		  var offsetY = 0
		  var offsetX = 0
		  if(textAlign === 'center') offsetX = maxWidth / 2
		  for(var i = 0; i < lines.length; i++) {
		    ctx.fillText(lines[i], x + offsetX, y + offsetY)
		    offsetY = offsetY + lineHeight
		  }
		};
		
		var fillWidthText= function(el) {
			switch(el) {
				case 'Top' :
					var str ="Er h&ouml;rte leise Schritte hinter sich. Das bedeutete nichts Gutes.<br><br>Wer w&uuml;rde ihm schon folgen, sp&auml;t in der Nacht und dazu noch in dieser engen Gasse mitten im &uuml;bel beleumundeten Hafenviertel?";
					break;
				case 'Middle':
					var str = "210";
					if($("#currency").val()=='Y') {
						str = str + ",- €";
					}
					break;
				case 'Bottom' : var str ="P-G7M-2CH-MQ"; break;
				case 'Date': 
						var dt = new Date();
						var str =  dt.getDate() + "." + (dt.getMonth() + 1) + "." +  dt.getFullYear() ;
						break;
				
				default: 
			}
			
			$("#canvasTable td").attr("class",$("#voucher"+ el + "FontFamily").val());
			$("." + $("#voucher"+ el + "FontFamily").val()).fontface({
			  fontName : $("#voucher"+ el + "FontFamily").val(),
			  fontWeight : "normal",
			  fileName : $("#voucher"+ el + "FontFamily").data("font-path") +  $("#voucher"+ el + "FontFamily").val()
			});
			
			var fontSize = $("#voucher"+ el + "FontSize").val(); 
			var align =  $("#voucher"+ el + "Align").val();
			var valign =  $("#voucher"+ el + "Valign").val();
			var color =  $("#voucher"+ el + "Color").css("backgroundColor")
			$("#canvasTable td").html(str).css({
				fontSize: fontSize + "px",
				textAlign: align,
				verticalAlign: valign,
				color:color,
				padding:"0px 3px",
				lineHeight: fontSize + "px",
				backgroundColor: $("#voucher"+ el + "Color").css("color"),
			});
		};
		
		var opencrop = function(el)	{
				debug("position = " + el);
				jQuery.colorbox({html:"<div id='posbox' style='position:relative; overflow:hidden;'>" + 
					"<img id='voucherPicture' src='" + jQuery("#singleSRC_realURL").val() + "'" +
							" width='" + jQuery("#singleSRC_realURL_width").val() + "'" +
							" height='" + jQuery("#singleSRC_realURL_height").val() + "'" +
							" alt='' /></div>"});

				var y1 = Number(jQuery("#voucher"+ el +"Position_top").val()) ? Number(jQuery("#voucher"+ el +"Position_top").val()) : 10 ;
				var x1 = Number(jQuery("#voucher"+ el +"Position_left").val()) ? Number(jQuery("#voucher"+ el +"Position_left").val()) :10 ;
				var y2 = Number(jQuery("#voucher"+ el +"Position_bottom").val()) ? Number(jQuery("#voucher"+ el +"Position_bottom").val()) : 60 ;
				var x2 = Number(jQuery("#voucher"+ el +"Position_right").val()) ? Number(jQuery("#voucher"+ el +"Position_right").val()) :  300 ;


				debug("positionen = " + y1 + "/" + x1 + "/" + y2 + "/" + x2 );

				jQuery('img#voucherPicture').on("load", function() {
					debug("image is loaded");
					var ias = jQuery('img#voucherPicture').imgAreaSelect({
						x1: x1, 
						y1: y1, 
						x2: x2, 
						y2: y2,
						persistent:true,
						selectionColor: '#ffffff',
						selectionOpacity: '0.75',
						instance: true,
						parent: '#posbox',
						show: true,
				        handles: false,
				        onInit: function() {

				        	$(".imgareaselect-border4").append('<table id="canvasTable" style=" width:100%; height: 100%; overflow:hidden; table-layout:fixed; "><tr><td style="width:100%; height:100%; vertical-align:middle; text-align:center"></td></tr></table>');
				        	fillWidthText(el);
				        },
				        onSelectEnd: function(s,data) {
				        	jQuery("#voucher"+ el +"Position_top").val(data.y1),
				        	jQuery("#voucher"+ el +"Position_left").val(data.x1),
				        	jQuery("#voucher"+ el +"Position_bottom").val(data.y2),
				        	jQuery("#voucher"+ el +"Position_right").val(data.x2),
				        	debug(data);
				        }
				    });
				})
				return false;
		}; 

		
		var notice = function(type, html,element) {
			if(element === typeof 'undefined') element = 'body';
			
  	 	$.notify({
  			// options
  			message: html
  		},{
  			// settings
  			type: type,
  			spacing: 5,
			z_index: 1080,
  			offset: {
  				x: 0,
  				y: 50
  			}

  		});

		}
		
		var VoucherInfoMessage = function(content,field) {
				$.notify(content,{type: "success",offset:0, element: $(".css-modal").last(),z_index: 1080});
				var cssGutscheinDiv = $("#VoucherInfo  #" + field ).closest("div"); 
				console.log(cssGutscheinDiv);
				$(cssGutscheinDiv).find(".fa-edit").removeClass("isInput");
				$(cssGutscheinDiv).find("span").html($("#VoucherInfo  #" + field ).val());
		}
		
		
		
		var initVoucherInfo = function() {
			var that = this;
			$("body").on("click", "#VoucherInfo .fa-edit:not(.isInput)", function() {
				$(this).addClass("isInput");
				var field = $(this).closest("div").data("field");
				var span = $(this).closest("div").find("span");
				if(field == 'voucherText') {
					var el = $(span).html("<textarea id='" + field + "' class='voucherInput' name='" + field + "' style='width:100%; overflow:auto; height:200px; border-width:0; padding:0px 5px; color:#313131;' >" + $(span).html() + "</textarea><button data-field='" + field + "' type='button' style='width:100%; height:36px' class='voucherSave btn btn-primary text-center'><i class='fa fa-save'> </i></button>");
				} else {
					var el = $(span).html("<input  class='voucherInput' type='text' value='" + $(span).html() + "' name='" + field + "'  id='" + field + "' style='height:36px; border-width:0; padding:0px 5px; color:#313131; display:inline-block' ><button data-field='" + field + "' type='button' style='position:relative; top:-2px; height:36px' class='voucherSave btn btn-primary text-center'><i class='fa fa-save'> </i></button>");
				}
			});
			$("body").on("click", "#VoucherInfo .voucherSave", function() {
				var form = $(this).closest("form");
					$("#VoucherInfo input[name='field']").val($(this).data("field"));
					post_data($(form).attr("action"),$(form).serialize());
					return;
					var div = $(this).closest("div")
					var value = $(div).find(".voucherInput").val();
					$(div).find("span").html(value);
					$(div).find(".fa-edit").removeClass("isInput");
			});
			
			$("body").on("click", ".voucher-imageBox img", function() {			
				$("#VoucherInfo input#voucherImage").val($(this).data("id")); 
				$("#previewVoucherImage").attr("src",$(this).attr("src"));
				var form = $($("#VoucherInfo input#voucherImage")).closest("form");
				$("#VoucherInfo input[name='field']").val("voucherImage");
				post_data($(form).attr("action"),$(form).serialize());
			});

				$("body").on("click", ".voucher-area-link",function() {
					//$.cssVouch.debug(".voucher-area-link -> ich wurde geklickt.");
					var id = $(this).data("id");
					post_data("../io.php","io=css_gutschein&action=getVoucherItems&area="+ id + "&jtl_token=" + $("input[name='jtl_token']").val());
				});
			

			$("body").on("click", "#VoucherInfo .fa-image:not(.isInput)", function() {
				post_data("../io.php","io=css_gutschein&action=getVoucherAreas" + "&jtl_token=" + $("#VoucherInfo input[name='jtl_token']").val()+"&orderId="+$(this).data("orderid"));
			});
		};
		
		var initPositionButtons = function() {
			$("#image-positions").on("click","button[data-position]", function() {
				opencrop($(this).data("position"));
			});
		};
		
		var initsaveImageDataButton = function() {
			$("body").on("click","button#saveImageData", function() {
				post_data("",$(this).closest("form").serialize());

			});
		};

		var initModalCloseButton = function() {
			$("body").on("click","button.modal-close", function(e) {
				$($(this).closest(".modal")).modal("hide");
			});

		}
		
		var initDeleteButtonYes = function() {
			$("body").on("click","button.deleteButtonYes", function(e) {
				e.stopPropagation();	
				$($(this).closest(".modal")).modal("hide");
				post_data("","cssAdminAction=deleteImage&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
		};
		
		var showKuponInfo = function(id) {
			
		}
		var initKuponButtons = function() {
			var that=this;
			$(".actionButtons").on("click","button",function() {
					switch($(this).data("type")) {
					
					case 'history-trash-button' :
      			if(!$(this).hasClass("confirmed")) {
      				openModalConfirmation(this,"alert alert-warning", "Warnung", "Sind Sie sicher das Sie diesen Eintrag l&ouml;schen m&ouml;chten?<br>Der Betrag wird dem Gutschein gutgeschrieben und der Gutschein bei Bedarf auch wieder aktiviert.");
        			return;	
      			} else {
  						post_data("","cssAdminKuponAction=historyDelete&kHistory="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
      			}
      			break;
					
					case 'kupon-trash-button' :
      			if(!$(this).hasClass("confirmed")) {
      				openModalConfirmation(this,"alert alert-warning", "Warnung", "Sind Sie sicher das Sie diesen Eintrag l&ouml;schen m&ouml;chten?");
        			return;	
      			} else {
  						post_data("","cssAdminKuponAction=KuponDelete&kBestellung="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
      			}
      			break;
      			
					case 'kupon-import-button':
						post_data("","cssAdminKuponAction=KuponImport&jtl_token=" + $("input[name='jtl_token']:first").val());
						break;

					case 'kupon-export-button':
						$("[name='cssAdminKuponAction']").val("export");
						$("#gsSearch").attr("target","_blank").submit();
						$("#gsSearch").attr("target","_self");
						$("[name='cssAdminKuponAction']").val("search");
						break;

					case 'kupon-mail-button':
						post_data("","cssAdminKuponAction=KuponMail&kBestellung="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
						
					case 'kupon-info-button' :
							break;
							
					case 'kupon-edit-button':
						post_data("","cssAdminKuponAction=BestellInfo&kBestellung="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;

					case 'kupon-unlock-button':
						post_data("","cssAdminKuponAction=unlock&kBestellung="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
						
					case 'kupon-history-button' :
						$("#history-" + $(this).data("id")).slideToggle();
						break;
					}
			});
		};


		
		
		
		var initDeleteFolderButtonYes = function() {
			$("body").on("click","button.deleteFolderButtonYes", function(e) {
				e.stopPropagation();	
				$($(this).closest(".modal")).modal("hide");
				post_data("","cssAdminAction=deleteFolder&voucherFolder="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
		};


		var initChangeLanguageYes = function() {
			$("body").on("click","button.changeLanguageYes", function(e) {
				e.stopPropagation();	
				$($(this).closest(".modal")).modal("hide");
				post_data("","cssAdminAction=changeLanguageYes&Image="+$(this).data("id") + "&voucherLanguages=" +  $(this).closest("form").serialize());
			});
		};
		
		var initChangeStandard = function() {
			$("body").on("click","button.changeStandard", function(e) {
				e.stopPropagation();	
				$($(this).closest(".modal")).modal("hide");
				post_data("","cssAdminAction=changeStandard&Image="+$(this).data("id") + "&voucherLanguages=" +  $(this).closest("form").serialize());
			});
		};
		
		var initMoveImageButtonYes = function() {
			$("body").on("click","button.moveImageButtonYes", function(e) {
				e.stopPropagation();	
				$($(this).closest(".modal")).modal("hide");
				post_data("","cssAdminAction=moveImage&Image="+$(this).data("id") + "&voucherFolder=" +  $(this).closest("form").find("input[name='VoucherFolder']:checked").val() +  "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
		};
		
		
		var initImageActionButtons = function() {
			var that = this;
			$("body").on("click","[data-function='actionButton']" , function(e) {
				e.stopPropagation();
				$(this).tooltip('hide');
				debug("clicked " + $(this).data("action"));
				switch($(this).data("action")) {
					
				case 'change-folder-active':
					post_data("","cssAdminAction=changeFolderActive&folder="+$(this).data("id") + "&voucherFolder=" + $("#voucherFolder").val() + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
					break;
					case 'change-language':
					post_data("","cssAdminAction=selectVoucherLanguages&Image="+$(this).data("id")  + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
					break;
					case 'change-folder':
						post_data("","cssAdminAction=selectFolder&Image="+$(this).data("id") + "&voucherFolder=" + $("#voucherFolder").val() + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
					case 'delete-image':
						post_data("","cssAdminAction=wantDeleteImage&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;	
					case 'delete-folder': 
						post_data("","cssAdminAction=wantToDeleteFolder&voucherFolder="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
					case 'set-standard':
						post_data("","cssAdminAction=selectStandard&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
					case 'change-image-active':
						post_data("","cssAdminAction=changeActive&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
						break;
				}
				
			}); 
		};
/*			
			$("body").on("click","button.change-folder", function(e) {
				e.stopPropagation();	
				post_data("","cssAdminAction=selectFolder&Image="+$(this).data("id") + "&voucherFolder=" + $("#voucherFolder").val() + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
				
			});

			$("body").on("click","button.star", function(e) {
				e.stopPropagation();	
				post_data("","cssAdminAction=selectStandard&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
			
			
			$("body").on("click","button.delete-image", function(e) {
				e.stopPropagation();	
				post_data("","cssAdminAction=wantDeleteImage&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
			
			
			
			$("body").on("click","button.delete-folder", function(e) {
				e.stopPropagation();	
				post_data("","cssAdminAction=wantToDeleteFolder&voucherFolder="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
			});
			
		}
*/
			
		var initContentChanged = function () {
		
		};
		
		
		
		var initSortable = function() {
			if($("#sortable2").length==0) return false;
			Sortable.create(sortable2, {
			  group: "sorting",
			  sort: true,
			  onSort: function(sort) {
			  	var cssImageSort = $("#css-voucher-images li");
					var data= new Array();
			  	for (var cssSort=0;  cssSort < cssImageSort.length; cssSort++ ) 	{
						data["sorting-" + cssSort] = $(cssImageSort[cssSort]).data("id");
					}	  	 
			  	post_data(document.location,$("#css-voucher-images").closest("form").serialize()+"&cssAdminAction=sortImages");
			  }
			});
		};
		
		
		var info = function(title,text) {
			$("#myModalInfo .modal-title").html(title);
			$("#myModalInfo .modal-body").html(text);
			$("#myModalInfo").modal({backdrop: 'static', keyboard: false});
		};
		
		var init = 	function() {
							$("body").on("contentChanged", function() {
								initContentChanged();
							});

							initsaveImageDataButton();
							initPositionButtons();
							initImageActionButtons();
							initDeleteButtonYes();
							initModalCloseButton();
							initDeleteFolderButtonYes();
							initKuponButtons();
							initSortable();
							initMoveImageButtonYes();
							initChangeLanguageYes();
							initChangeStandard();
							initVoucherInfo();
							csvUpload();
							importHideTypes();
							$("body").on("click", "button[data-action='edit']", function(e) {
								e.stopPropagation();	
								var action = $(this).data("action");
								post_data("","cssAdminAction=getImageData&Image="+$(this).data("id") + "&jtl_token=" + $(this).closest("form").find("input[name='jtl_token']").val());
								return false;
							});
				};
		init();		
		return this.each( function() {
			if(settings.elementId!='') {
			} else settings.elementId = this;
		});
	}

}(jQuery));



jQuery(document).ready(function() {
	
$("body").on("click","#backToFolders",function(e) {
	e.stopPropagation();	
	$("#image-positions").slideUp(500,function() {  $("#folders").slideDown();  });
	return false;
});	
	
	 
	
	$("body").backendGutschein();
	
	$("button[data-open-modal]").on("click", function(e) {
		e.stopPropagation();	
		$($(this).data("open-modal")).modal({backdrop: 'static', keyboard: false});
	});
	
	$("#voucherFolder").on("change", function() {
		$(this).closest("form").find("#cssAdminAction").val("changeFolder");
		$(this).closest("form").submit();
	});
	
});