{if isset($adminCSSURL) && !empty($adminCSSURL)}
	<link
			media="screen"
			href="{$adminCSSURL}"
			type="text/css"
			rel="stylesheet" />
{/if}

<fieldset class="border p-2 form-group" style="display:none"  id="image-positions">
	<legend class="w-auto">{__('Vorlage konfigurieren')}</legend>
</fieldset>

<div  id="folders">
	{if !empty($cssFold->id)}
		{include file=$oPlugin->getPaths()->getAdminPath()|cat:"template/image_list.tpl"}
	{/if}



	<form method="post" action="{$adminURL}">
		<input type="hidden" value="1" name="config">
		<input type="hidden" value="saveFolder" id="cssAdminAction" name="cssAdminAction">
		{$jtl_token}

		<fieldset class="border p-2 form-group">
			<legend class="w-auto">{__('Gutschein Verzeichnisse')}</legend>


			<div class="input-group mb-3">
				<div class="input-group-prepend" >
					<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Verzeichnis anlegen')}</span>
				</div>
				<select id="voucherFolder" name="voucherFolder" class="form-control">
					<option value="0">Neues Verzeichnis anlegen</option>
					{foreach from=$voucherFolderList item=folderItem }
						<option {if $folderItem->pid == $usedVoucherFold} selected {/if} value="{$folderItem->pid}">{$folderItem->voucherFolderName}</option>
					{/foreach}
				</select>
				<span class="input-group-wrap">
			<button type="button" data-open-modal="#modal-upload" {if !$usedVoucherFold} disabled {/if} class="btn  btn-lg" style="border-width:0px; width:100%;" data-dismiss="modal">Bilder Hochladen</button>
			</span>
				<div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
						  data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
				</div>
			</div>

			<div class="input-group mb-3">
				<div class="input-group-prepend">
					<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Sortierung')}</span>
				</div>
				<input type="text" name="sort" class="form-control" value="{if !empty($cssFold->sort)}{$cssFold->sort|intval}{else}0{/if}" placeholder="{__('1')}">
				<div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
						  data-original-title="{__('Sie können hier eine Sortierungsnummer eingeben.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
				</div>
			</div>

			{foreach from=$cssSprachen item=sprache }
				<input
						type="hidden"
						name="language[]"
						value="{$sprache->kSprache}" />

				<div class="input-group mb-3">
					<div class="input-group-prepend">
						<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">Verzeichnisname {$sprache->cNameDeutsch}</span>
					</div>
					<input type="text" name="voucherFolderName[{$sprache->kSprache}]" class="form-control" value="{if !empty($sprache->voucherFolderName)}{$sprache->voucherFolderName}{/if}" placeholder="{__('Verzeichnisname')}">
					<div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
						  data-original-title="Bitte geben Sie eine Bezeichnung f&uuml;r das Verzeichnis und die Sprache {$sprache->cNameDeutsch} ein.">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
					</div>
				</div>
			{/foreach}

		</fieldset>



		<div class="save-wrapper">
			<div class="ml-auto col-sm-6 col-xl-auto">

				<div
						class="clearfix"
						style="padding: 0px 0px 20px 0px">
					{if $usedVoucherFold}
						<button
								data-action="delete-folder"
								data-function='actionButton'
								data-id="{$usedVoucherFold}"
								class="btn btn-warning pull-left delete-folder"
								value="wantToDeleteFolder"
								type="button"
								name="cssAdminAction">
							<i class="fa fa-trash"></i> l&ouml;schen
						</button>

						<button
								data-action="change-folder-active"
								data-function="actionButton"
								data-id="{$usedVoucherFold}"
								class="btn btn-info pull-left change-folder-active"
								value="changeFolderActive"
								type="button"
								name="cssAdminAction">
							<i class="fa fa-eye{if isset($cssFold->voucherActive) && $cssFold->voucherActive!='Y'}-slash{/if}"></i> sichtbar/unsichtbar
						</button>
					{/if}
					<button
							class="btn btn-success pull-right"
							value="saveFolder"
							type="submit"
							name="cssAdminAction">
						<i class="fa fa-save"></i> speichern
					</button>
				</div>
			</div>
		</div>
	</form>
</div>

{include file=$oPlugin->getPaths()->getAdminPath()|cat:"template/upload.tpl"}
